Subject: bug#24935: [PATCH] Add tests for rot13.el

From: Eli Zaretskii <[email-masked]>
Date: Sun, 13 Nov 2016 17:39:31 +0200

> Date: Sun, 13 Nov 2016 12:07:36 +0100
> From: Simen Heggestøyl <[email-masked]>
> 
> I saw that there weren't any tests for rot13.el yet, so I wrote
> some. I also made a docstring correction along the way.

Thanks.  A comment below.

> Unless there are any objections, I'll install the patch within a few
> days.

To the master branch, please.

>  ;;;###autoload
>  (defun rot13 (object &optional start end)
> -  "Return ROT13 encryption of OBJECT, a buffer or string."
> +  "ROT13 encrypt OBJECT, a buffer or string.
> +Return the ROT13 encrypted string when OBJECT is a string."

If we are going to fix the doc string, let's also document START and
END, and tell that they are ignored if OBJECT is a string.